com.streambase.liveview.client

## Enum LiveViewExceptionType

- java.lang.Object
- - java.lang.Enum<LiveViewExceptionType>
  - - com.streambase.liveview.client.LiveViewExceptionType

- All Implemented Interfaces:
    Serializable, Comparable<LiveViewExceptionType>

      public enum LiveViewExceptionType
      extends Enum<LiveViewExceptionType>

  Enumeration of possible LiveView exceptions. You can use getErrorCode() on a LiveViewException and compare against `LiveViewExceptionType.getCode()` from one of these ENUMs. For example:

       if (myException.getErrorCode() == LiveViewExceptionType.SNAPSHOT_OVER_LIMIT.getCode()) {
            // then this exception was caused by the initial snapshot result set being larger than the specified limit value.
       }

  *** WARNING *** WARNING *** WARNING *** WARNING *** WARNING *** WARNING *** WARNING *** WARNING *** WARNING *** WARNING *** These errors code must remain stable for the life of the LiveView product. Older clients use these errors to determine the exact exception and what to do about it. This means that adding new errors in older releases must be coordinated with newer releases to guarantee there is no overlap. *** WARNING *** WARNING *** WARNING *** WARNING *** WARNING *** WARNING *** WARNING *** WARNING *** WARNING *** WARNING ***

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ACTIVE_SPACES_SPACE_LISTENER_NOT_READY`
    `ADMINISTRATIVE_ACTION_NEW_SESSIONS_STOPPED`
    `AGG_NOT_EXPLICITY_NAMED` The aggregate values must be explicitly named using the 'AS' keyword.
    `AGG_QUERY_MUST_HAVE_GROUP_BY` Aggregate query must have group by clause
    `AGGREGATE_ALERT_REQUIRES_ALERT_TEST_EXPRESSION`
    `AGGREGATE_STREAM_ERROR`
    `ALERT_NOT_FOUND`
    `ALERT_QUERY_CONFIG_WITH_QUERY_STRING_NOT_ALLOWED`
    `ALERT_SERVICE_ACTION_SUBMISSION_FAILURE`
    `ALERT_SERVICE_DISABLED`
    `ALERT_SERVICE_ERROR`
    `ALERT_TEST_EXPRESSION_ERROR`
    `ALERT_TEST_EXPRESSION_WAS_NULL`
    `ALERT_VALIDATION_ERROR`
    `ALERT_VERSION_MISMATCH`
    `ALERT_VERSION_NULL` Alert Version can not be null
    `ALERTS_DISABLED` Changing alert rules is not authorized
    `ALERTS_GET_DATA_MISSING`
    `ALERTS_NOT_SUPPORTED_FOR_TABLE`
    `ALIAS_ALLOWED_IN_AGG_ONLY`
    `ALREADY_LISTENING` There is already a TableListListener for this LiveViewConnection.
    `BAD_DATA_FILE`
    `BAD_SBD_SBCONF` Error with sbd.sbconf.
    `BAD_SCHEMA_DESCRIBING_TABLE`
    `BINARY_STREAMING_NOT_SUPPORTED_FOR_CLIENT` Binary streaming is not supported for this client type
    `BLOCKING_DELETE_QUERY_NOT_SUPORTED` new delete api is not supported by this server.
    `BUFFERED_TABLE_PUBLISHER_FLUSH_ERROR`
    `CANNOT_SAVE_DATA_WITH_NULL_ID`
    `CHANNEL_ALREADY_EXISTS`
    `CLASS_NOT_FOUND_OR_NOT_TABLEPROVIDER`
    `CONNECTION_CANCELED` Connection canceled by client
    `CONNECTION_CLOSED` Server connection was closed
    `COULD_NOT_CONNECT`
    `COULD_NOT_CONNECT_MSG`
    `CRON_ALERT_ADD`
    `CRON_ALERT_INVALID_SCHEDULE`
    `DATA_SOURCE_NOT_FOUND`
    `DELETE_REACH_LIMIT` delete terminated at specified limit.
    `DELTA_SHOULD_BE_DISABLED_TO_GET_BIT_MASK_OF_CHANGED_FIELDS`
    `DUPLICATE_GROUP_BY_EXPR`
    `DUPLICATE_TABLE`
    `DUPLICATION_SELECT_EXPR`
    `DYNAMIC_TABLE_CREATE_DATA_VALIDATION`
    `DYNAMIC_TABLE_NOT_SUPPORTED_WITH_MEMORY_CATALOG`
    `DYNAMIC_TABLES_NOT_ALLOWED`
    `DYNAMIC_TABLES_NOT_ALLOWED_2`
    `ELEMENT_NOT_FOUND_EXCEPTION`
    `ENGINE_NOT_AVAILABLE_FOR_CALCULATION`
    `ERROR_CHECKING_PERSISTENT_STORE_TABLE`
    `ERROR_CREATING_PERSISTENT_STORE_TABLE`
    `ERROR_ENCOUNTERED_WHILE_CREATING_TABLE`
    `ERROR_ENCOUNTERED_WHILE_FETCHING_SCHEMA_FROM_JAXB_INFO`
    `ERROR_ENCOUNTERED_WHILE_STARTING_TABLES`
    `ERROR_GETTING_SCHEMA_INTERFACE_FILE_CONTENTS`
    `ERROR_PROCESSING_JSON_DATA`
    `ERROR_PROCESSING_QUERY`
    `ERROR_READING_FILE`
    `ERROR_READING_INPUT_STREAM`
    `ERROR_STARTING_DATA_STORE`
    `ERROR_STOPPING_DATA_STORE`
    `ERROR_WRITING_FILE`
    `ERROR_WRITING_OUTPUT_STREAM`
    `EXPORT_DATA_FAILURE`
    `EXPRESSION_ERROR`
    `EXPRESSIONS_ALLOWED_IN_AGG_ONLY` Use of expressions is only allowed in aggregate queries.
    `FILTERED_TABLE_PREDICATE_MISSING`
    `FILTERED_TABLE_START_DROP_NOT_ALLOWED`
    `GUID_BASED_ALERTS_ERROR`
    `ILLEGAL_QUERYTYPE__QUERYLISTENER_COMBINATION`
    `IMPORT_DATA_FAILURE`
    `IMPORT_DATA_FAILURE_ABORT_POLICY`
    `INCOMPLETE_ELEMENT`
    `INTERNAL_CLIENT_ERROR`
    `INVALID_CONNECT_URI`
    `INVALID_GUID`
    `INVALID_PROJECTION_EXPR`
    `INVALID_PUBLISHER`
    `INVALID_QUERY`
    `INVALID_QUERY_HANDLE`
    `INVALID_REQUEST`
    `INVALID_SAVED_QUERY_ID`
    `INVALID_SESSION`
    `INVALID_STREAMBASE_IDENTIFIER`
    `INVALID_TABLE_NAME`
    `INVALID_USERNAME_IN_URI`
    `IO_EXCEPTION`
    `JDBC_CONFIG_ERROR`
    `JDBC_CONNECTION_CLOSE`
    `JDBC_CONTENT_FIELD_READING_ERROR`
    `JDBC_CONTENT_FIELD_SETTING_ERROR`
    `JDBC_DATA_SOURCE_ERROR`
    `JDBC_LIVEVIEW_ENTITY_CREATION_ERROR`
    `JDBC_RESULT_SET_READING_ERROR`
    `JDBC_SERIALIZATION_ERROR`
    `JDBC_STATEMENT_CLOSE`
    `JDBC_SYSTEM_FIELDS_READING_ERROR`
    `JDBC_SYSTEM_FIELDS_SETTING_ERROR`
    `JSON_DATA_IMPORT_ERROR`
    `KILL_PUBLISHER_ADMINISTRATIVE_KILL_`
    `KILL_QUERY_ADMINISTRATIVE_KILL`
    `KILL_QUERY_SESSION_CLOSED_KILL`
    `KILL_QUERY_TABLE_DROPPED_KILL`
    `LAST`
    `LIVEVIEW_TABLE_CONFIGURATIONS_NOT_FOUND`
    `MAX_QUERIES_PER_SESSION_EXCEEDED`
    `MAX_SB_CONNECTIONS_EXCEEDED`
    `MAX_SESSIONS_EXCEEDED`
    `MISSING_JSON_DATA_ERROR`
    `MODEL_CLONING_EXCEPTION`
    `NEXT_AVAILABLE_ERROR_CODE`
    `NO_CONNECTION` No connection to server
    `NO_DATASOURCES_DEFINED_IN_SBD_SBCONF` No JDBC data-sources defined in sbd.sbconf.
    `NON_AGG_MUST_BE_IN_GROUP_BY`
    `NOT_A_VALID_CONFIGURATION_FILE`
    `NOT_A_VALID_QUERY_ID`
    `NOT_AUTHORIZED` Principal not authorized for operation
    `NOT_SUPPORTED_IN_MULTISERVER`
    `PARSE_WITH_PIVOT_REQUIRES_TABLE_SCHEMA`
    `PARSING_ERROR_AT`
    `PIVOT_AGG_EXPRESSION_VALIDATION`
    `PIVOT_ALIAS_CONFLICT`
    `PIVOT_ALLOWED_ONLY_WITH_SELECT_STAR`
    `PIVOT_CLAUSE_SHOULD_ONLY_HAVE_AGGREGATE_EXPRESSIONS`
    `PIVOT_COLUMN_MISSING`
    `PIVOT_COLUMN_NAME_VALIDATION`
    `PIVOT_QUERY_NOT_SUPPORTED_WITH_ALERTS`
    `PIVOT_VALUES_EXPRESSION_VALIDATION`
    `PIVOT_VALUES_INVALID_TEST_EXPRESSION`
    `PIVOT_VALUES_VALIDATION`
    `PIVOT_VALUES_VALIDATION_INCOMPATIBLE_LITERAL_DATA_TYPE`
    `PK_FIELD_CANNOT_BE_NULL`
    `POLLING_NOT_SUPPORTED_FOR_CLIENT` Polling is no longer supported.
    `PREDICATE_CAN_ONLY_BE_OF_TYPE_BOOLEAN`
    `PREDICATE_CANNOT_HAVE_IMPURE_FUNCTIONS`
    `PROBLEM_CONNECTION_TO_SBD`
    `PROJECTION_UNRESOLVABLE`
    `PROTOCOL_SCHEMA_VIOLATION`
    `PROTOCOL_VERSION_NOT_SUPPORTED`
    `PUBLISHER_CLOSED` Publisher is closed
    `PUBLISHING_NOT_SUPPORTED`
    `QF_AGGREGATE_FUNCTIONS_CANNOT_BE_COMBINED_WITH_CALCULATED_COLUMN`
    `QF_GROUP_BY_NOT_ALLOWED_WITH_CALCULATED_COLUMNS`
    `QUERY_FAILS_ON_NEW_SERVER`
    `QUERY_ID_ALREADY_USED`
    `QUERY_NOT_SPECIFIED`
    `QUERY_OPTION_NOT_SUPPORTED`
    `QUERY_OR_SCHEMA_REQUIRED`
    `QUERY_RESULT_QUEUE_SIZE_EXCEEDED`
    `QUERY_SYNTAX`
    `QUERY_WAS_CLOSED` Query was closed
    `REDIRECT_TOO_DEEP` URL Redirection loop detected.
    `REMOTE_CONNECTION_CLOSE` Connection closed by server
    `REMOTE_LIVEVIEW_SBD_CONNECTION_CLOSED`
    `REMOTE_LIVEVIEW_SERVER_DOES_NOT_SUPPORT_EXTERNAL_HOSTING`
    `REQUIRED_FILE_NOT_FOUND`
    `REQUIRED_PARAMETER_MISSING`
    `RESERVED_WORDS_NOT_ALLOWED_FOR_TABLE_NAMES`
    `SB_CONNECTION_NO_LONGER` Connection with sb:// is no longer supported, try lv://.
    `SB_REMOTE_CONNECTION_CLOSED` Connection to SB was remotely closed
    `SB_URI_NO_CONTAINER`
    `SCHEMA_DOES_NOT_MATCH` The query gets a different schema on the new server.
    `SCHEMA_PARSE_ERROR`
    `SEARCH_NOT_SUPPORTED`
    `SELECT_ONLY` SQL statement for basis of table must be a SELECT statement.
    `SELECT_STAR_INVALID_WITH_GROUPS` Group by is not allowed with 'select *' queries.
    `SENDTUPLE_NO_RESPONSE` Send Tuple did not receive a response from the server.
    `SENDTUPLE_RESPONSE_REQUIRES_KEY_FIELD`
    `SENDTUPLE_STREAMNAME_OR_CONTAINER_NOT_FOUND`
    `SERVER_NOT_STARTED` LiveView server is still starting
    `SERVER_STATE_SETTING_ERROR`
    `SERVER_WAS_STOPPED` LiveView server was stopped already
    `SESSION_ALREADY_HAS_BINARY_LISTENER` Session already has a binary listener.
    `SESSION_TRYING_TO_KILL_SELF`
    `SESSIONCHANNEL_DOES_NOT_EXIST`
    `SNAPSHOT_END_NOT_SEEN`
    `SNAPSHOT_OVER_LIMIT` Snapshot results exceeded specified limit
    `SQL_ERROR`
    `SQL_GENERAL_ERROR`
    `SQL_TABLE_SNAPSHOT_ONLY`
    `SQL_TYPECHECK_ERROR`
    `STORAGE_EXCEPTION`
    `TABLE_ACTIVE_SPACES_ERROR_WHILE_ADDING_LISTENER`
    `TABLE_ACTIVE_SPACES_ERROR_WHILE_DELETE`
    `TABLE_ACTIVE_SPACES_ERROR_WHILE_SNAPSHOT`
    `TABLE_DOES_NOT_EXIST`
    `TABLE_DOES_NOT_SUPPORT_QUERY` This table does not support this type of query
    `TABLE_DROPPING_NOT_ALLOWED_WHILE_LOADING`
    `TABLE_IN_PURGATORY`
    `TABLE_IS_ALREADY_LOADING`
    `TABLE_IS_ALREADY_RUNNING`
    `TABLE_IS_DISABLED`
    `TABLE_IS_NOT_WRITEABLE`
    `TABLE_IS_SHUTTING_DOWN`
    `TABLE_MUST_BE_DROPPED`
    `TABLE_PROVIDER_ALREADY_EXISTS`
    `TABLE_PROVIDER_MISSING_REQUIRED_PARAMETERS`
    `TABLE_REMOVE_BLOCKED`
    `TABLE_REQUIRES_UNSUPPORTED_CAPABILITIES`
    `TABLE_START_BLOCKED`
    `TRANSACTIONAL_MEMORY_NOT_AVAILABLE`
    `TRANSACTIONAL_MEMORY_REQUIRED`
    `TUPLE_UPDATE_FOR_A_MISSING_RESULT`
    `UNABLE_TO_PREPARE_JSON_RESPONSE`
    `UNAUTHORIZED`
    `UNDERLYING_SB_EXCEPTION`
    `UNEXPECTED`
    `UNKNOWN_CQS_SCOPE_TRANSITION`
    `UNKNOWN_DATA_POLICY`
    `UNKNOWN_FIELD_AT`
    `UNKNOWN_FIELD_TYPE`
    `UNKNOWN_REQUESTED_RESOURCES`
    `UNKNOWN_STREAMBASE_TABLE_MESSAGE_TYPE`
    `UNKNOWN_TABLE`
    `UNMATCHED_QUOTE`
    `UNSUPPORTED_DATATYPE`
    `UNTRUSTED_SSL_CERTIFICATE` The LiveView server sent a SSL certificate not trusted by the receiving client
    `UPDATE_OVER_LIMIT` Query updates exceeded specified limit
    `USING_WEBSOCKETS_UNSUPERVISED` Client using Websockets without creating a websocket session.
    `WORKSPACE_GET_DATA_MISSING`
    `WORKSPACE_NOT_FOUND`
    `WORKSPACE_UPLOADING`
    `WORKSPACE_VERSION_MISMATCH`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static LiveViewException` | `error(Throwable cause)` Wraps any throwable into a LiveViewException of type LiveViewExceptionType.UNEXPECTED
    `int` | `getCode()` Gets the unique identifying code for the exception ENUM
    `static LiveViewExceptionType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static LiveViewExceptionType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PARSING_ERROR_AT

          public static final LiveViewExceptionType PARSING_ERROR_AT

    - #### SB_URI_NO_CONTAINER

          public static final LiveViewExceptionType SB_URI_NO_CONTAINER

    - #### UNDERLYING_SB_EXCEPTION

          public static final LiveViewExceptionType UNDERLYING_SB_EXCEPTION

    - #### CONNECTION_CLOSED

          public static final LiveViewExceptionType CONNECTION_CLOSED

      Server connection was closed

    - #### QUERY_SYNTAX

          public static final LiveViewExceptionType QUERY_SYNTAX

    - #### UNEXPECTED

          public static final LiveViewExceptionType UNEXPECTED

    - #### UNKNOWN_FIELD_AT

          public static final LiveViewExceptionType UNKNOWN_FIELD_AT

    - #### INVALID_SESSION

          public static final LiveViewExceptionType INVALID_SESSION

    - #### INVALID_QUERY_HANDLE

          public static final LiveViewExceptionType INVALID_QUERY_HANDLE

    - #### QUERY_NOT_SPECIFIED

          public static final LiveViewExceptionType QUERY_NOT_SPECIFIED

    - #### UNKNOWN_TABLE

          public static final LiveViewExceptionType UNKNOWN_TABLE

    - #### DUPLICATE_TABLE

          public static final LiveViewExceptionType DUPLICATE_TABLE

    - #### NOT_AUTHORIZED

          public static final LiveViewExceptionType NOT_AUTHORIZED

      Principal not authorized for operation

    - #### SERVER_NOT_STARTED

          public static final LiveViewExceptionType SERVER_NOT_STARTED

      LiveView server is still starting

    - #### SESSION_ALREADY_HAS_BINARY_LISTENER

          public static final LiveViewExceptionType SESSION_ALREADY_HAS_BINARY_LISTENER

      Session already has a binary listener. Do not call more than once per session

    - #### REMOTE_CONNECTION_CLOSE

          public static final LiveViewExceptionType REMOTE_CONNECTION_CLOSE

      Connection closed by server

    - #### UNAUTHORIZED

          public static final LiveViewExceptionType UNAUTHORIZED

    - #### INVALID_REQUEST

          public static final LiveViewExceptionType INVALID_REQUEST

    - #### MAX_SESSIONS_EXCEEDED

          public static final LiveViewExceptionType MAX_SESSIONS_EXCEEDED

    - #### POLLING_NOT_SUPPORTED_FOR_CLIENT

          public static final LiveViewExceptionType POLLING_NOT_SUPPORTED_FOR_CLIENT

      Polling is no longer supported.

    - #### NOT_A_VALID_QUERY_ID

          public static final LiveViewExceptionType NOT_A_VALID_QUERY_ID

    - #### BINARY_STREAMING_NOT_SUPPORTED_FOR_CLIENT

          public static final LiveViewExceptionType BINARY_STREAMING_NOT_SUPPORTED_FOR_CLIENT

      Binary streaming is not supported for this client type

    - #### MAX_QUERIES_PER_SESSION_EXCEEDED

          public static final LiveViewExceptionType MAX_QUERIES_PER_SESSION_EXCEEDED

    - #### QUERY_RESULT_QUEUE_SIZE_EXCEEDED

          public static final LiveViewExceptionType QUERY_RESULT_QUEUE_SIZE_EXCEEDED

    - #### UPDATE_OVER_LIMIT

          public static final LiveViewExceptionType UPDATE_OVER_LIMIT

      Query updates exceeded specified limit

    - #### PROTOCOL_VERSION_NOT_SUPPORTED

          public static final LiveViewExceptionType PROTOCOL_VERSION_NOT_SUPPORTED

    - #### CONNECTION_CANCELED

          public static final LiveViewExceptionType CONNECTION_CANCELED

      Connection canceled by client

    - #### COULD_NOT_CONNECT

          public static final LiveViewExceptionType COULD_NOT_CONNECT

    - #### TABLE_IS_NOT_WRITEABLE

          public static final LiveViewExceptionType TABLE_IS_NOT_WRITEABLE

    - #### PK_FIELD_CANNOT_BE_NULL

          public static final LiveViewExceptionType PK_FIELD_CANNOT_BE_NULL

    - #### IO_EXCEPTION

          public static final LiveViewExceptionType IO_EXCEPTION

    - #### INVALID_CONNECT_URI

          public static final LiveViewExceptionType INVALID_CONNECT_URI

    - #### QUERY_WAS_CLOSED

          public static final LiveViewExceptionType QUERY_WAS_CLOSED

      Query was closed

    - #### MAX_SB_CONNECTIONS_EXCEEDED

          public static final LiveViewExceptionType MAX_SB_CONNECTIONS_EXCEEDED

    - #### SB_REMOTE_CONNECTION_CLOSED

          public static final LiveViewExceptionType SB_REMOTE_CONNECTION_CLOSED

      Connection to SB was remotely closed

    - #### INVALID_SAVED_QUERY_ID

          public static final LiveViewExceptionType INVALID_SAVED_QUERY_ID

    - #### PUBLISHER_CLOSED

          public static final LiveViewExceptionType PUBLISHER_CLOSED

      Publisher is closed

    - #### DUPLICATE_GROUP_BY_EXPR

          public static final LiveViewExceptionType DUPLICATE_GROUP_BY_EXPR

    - #### NON_AGG_MUST_BE_IN_GROUP_BY

          public static final LiveViewExceptionType NON_AGG_MUST_BE_IN_GROUP_BY

    - #### DUPLICATION_SELECT_EXPR

          public static final LiveViewExceptionType DUPLICATION_SELECT_EXPR

    - #### AGG_QUERY_MUST_HAVE_GROUP_BY

          public static final LiveViewExceptionType AGG_QUERY_MUST_HAVE_GROUP_BY

      Aggregate query must have group by clause

    - #### TABLE_DOES_NOT_SUPPORT_QUERY

          public static final LiveViewExceptionType TABLE_DOES_NOT_SUPPORT_QUERY

      This table does not support this type of query

    - #### PROTOCOL_SCHEMA_VIOLATION

          public static final LiveViewExceptionType PROTOCOL_SCHEMA_VIOLATION

    - #### ALERT_VERSION_NULL

          public static final LiveViewExceptionType ALERT_VERSION_NULL

      Alert Version can not be null

    - #### ALERT_VERSION_MISMATCH

          public static final LiveViewExceptionType ALERT_VERSION_MISMATCH

    - #### ALERT_SERVICE_ERROR

          public static final LiveViewExceptionType ALERT_SERVICE_ERROR

    - #### ALERT_VALIDATION_ERROR

          public static final LiveViewExceptionType ALERT_VALIDATION_ERROR

    - #### SERVER_WAS_STOPPED

          public static final LiveViewExceptionType SERVER_WAS_STOPPED

      LiveView server was stopped already

    - #### EXPRESSION_ERROR

          public static final LiveViewExceptionType EXPRESSION_ERROR

    - #### SNAPSHOT_OVER_LIMIT

          public static final LiveViewExceptionType SNAPSHOT_OVER_LIMIT

      Snapshot results exceeded specified limit

    - #### ALERTS_DISABLED

          public static final LiveViewExceptionType ALERTS_DISABLED

      Changing alert rules is not authorized

    - #### JDBC_DATA_SOURCE_ERROR

          public static final LiveViewExceptionType JDBC_DATA_SOURCE_ERROR

    - #### NO_DATASOURCES_DEFINED_IN_SBD_SBCONF

          public static final LiveViewExceptionType NO_DATASOURCES_DEFINED_IN_SBD_SBCONF

      No JDBC data-sources defined in sbd.sbconf.

    - #### BAD_SBD_SBCONF

          public static final LiveViewExceptionType BAD_SBD_SBCONF

      Error with sbd.sbconf.

    - #### SQL_ERROR

          public static final LiveViewExceptionType SQL_ERROR

    - #### DATA_SOURCE_NOT_FOUND

          public static final LiveViewExceptionType DATA_SOURCE_NOT_FOUND

    - #### SELECT_ONLY

          public static final LiveViewExceptionType SELECT_ONLY

      SQL statement for basis of table must be a SELECT statement.

    - #### SQL_TABLE_SNAPSHOT_ONLY

          public static final LiveViewExceptionType SQL_TABLE_SNAPSHOT_ONLY

    - #### ERROR_PROCESSING_QUERY

          public static final LiveViewExceptionType ERROR_PROCESSING_QUERY

    - #### JDBC_CONFIG_ERROR

          public static final LiveViewExceptionType JDBC_CONFIG_ERROR

    - #### WORKSPACE_VERSION_MISMATCH

          public static final LiveViewExceptionType WORKSPACE_VERSION_MISMATCH

    - #### WORKSPACE_NOT_FOUND

          public static final LiveViewExceptionType WORKSPACE_NOT_FOUND

    - #### QUERY_OPTION_NOT_SUPPORTED

          public static final LiveViewExceptionType QUERY_OPTION_NOT_SUPPORTED

    - #### INVALID_QUERY

          public static final LiveViewExceptionType INVALID_QUERY

    - #### ALREADY_LISTENING

          public static final LiveViewExceptionType ALREADY_LISTENING

      There is already a TableListListener for this LiveViewConnection.

    - #### INVALID_PROJECTION_EXPR

          public static final LiveViewExceptionType INVALID_PROJECTION_EXPR

    - #### AGG_NOT_EXPLICITY_NAMED

          public static final LiveViewExceptionType AGG_NOT_EXPLICITY_NAMED

      The aggregate values must be explicitly named using the 'AS' keyword.

    - #### AGGREGATE_STREAM_ERROR

          public static final LiveViewExceptionType AGGREGATE_STREAM_ERROR

    - #### SELECT_STAR_INVALID_WITH_GROUPS

          public static final LiveViewExceptionType SELECT_STAR_INVALID_WITH_GROUPS

      Group by is not allowed with 'select *' queries. Scalar expressions must be in the group by list.

    - #### SQL_TYPECHECK_ERROR

          public static final LiveViewExceptionType SQL_TYPECHECK_ERROR

    - #### SQL_GENERAL_ERROR

          public static final LiveViewExceptionType SQL_GENERAL_ERROR

    - #### UNMATCHED_QUOTE

          public static final LiveViewExceptionType UNMATCHED_QUOTE

    - #### DELETE_REACH_LIMIT

          public static final LiveViewExceptionType DELETE_REACH_LIMIT

      delete terminated at specified limit.

    - #### BLOCKING_DELETE_QUERY_NOT_SUPORTED

          public static final LiveViewExceptionType BLOCKING_DELETE_QUERY_NOT_SUPORTED

      new delete api is not supported by this server. Minimum server version is 1.5.2.

    - #### SB_CONNECTION_NO_LONGER

          public static final LiveViewExceptionType SB_CONNECTION_NO_LONGER

      Connection with sb:// is no longer supported, try lv://.

    - #### COULD_NOT_CONNECT_MSG

          public static final LiveViewExceptionType COULD_NOT_CONNECT_MSG

    - #### TABLE_PROVIDER_MISSING_REQUIRED_PARAMETERS

          public static final LiveViewExceptionType TABLE_PROVIDER_MISSING_REQUIRED_PARAMETERS

    - #### CLASS_NOT_FOUND_OR_NOT_TABLEPROVIDER

          public static final LiveViewExceptionType CLASS_NOT_FOUND_OR_NOT_TABLEPROVIDER

    - #### TABLE_PROVIDER_ALREADY_EXISTS

          public static final LiveViewExceptionType TABLE_PROVIDER_ALREADY_EXISTS

    - #### REMOTE_LIVEVIEW_SERVER_DOES_NOT_SUPPORT_EXTERNAL_HOSTING

          public static final LiveViewExceptionType REMOTE_LIVEVIEW_SERVER_DOES_NOT_SUPPORT_EXTERNAL_HOSTING

    - #### TABLE_IS_DISABLED

          public static final LiveViewExceptionType TABLE_IS_DISABLED

    - #### TABLE_IS_SHUTTING_DOWN

          public static final LiveViewExceptionType TABLE_IS_SHUTTING_DOWN

    - #### TABLE_DOES_NOT_EXIST

          public static final LiveViewExceptionType TABLE_DOES_NOT_EXIST

    - #### UNTRUSTED_SSL_CERTIFICATE

          public static final LiveViewExceptionType UNTRUSTED_SSL_CERTIFICATE

      The LiveView server sent a SSL certificate not trusted by the receiving client

    - #### REMOTE_LIVEVIEW_SBD_CONNECTION_CLOSED

          public static final LiveViewExceptionType REMOTE_LIVEVIEW_SBD_CONNECTION_CLOSED

    - #### PROBLEM_CONNECTION_TO_SBD

          public static final LiveViewExceptionType PROBLEM_CONNECTION_TO_SBD

    - #### TABLE_REQUIRES_UNSUPPORTED_CAPABILITIES

          public static final LiveViewExceptionType TABLE_REQUIRES_UNSUPPORTED_CAPABILITIES

    - #### USING_WEBSOCKETS_UNSUPERVISED

          public static final LiveViewExceptionType USING_WEBSOCKETS_UNSUPERVISED

      Client using Websockets without creating a websocket session.

    - #### NOT_SUPPORTED_IN_MULTISERVER

          public static final LiveViewExceptionType NOT_SUPPORTED_IN_MULTISERVER

    - #### SCHEMA_DOES_NOT_MATCH

          public static final LiveViewExceptionType SCHEMA_DOES_NOT_MATCH

      The query gets a different schema on the new server.

    - #### QUERY_FAILS_ON_NEW_SERVER

          public static final LiveViewExceptionType QUERY_FAILS_ON_NEW_SERVER

    - #### QUERY_ID_ALREADY_USED

          public static final LiveViewExceptionType QUERY_ID_ALREADY_USED

    - #### REQUIRED_PARAMETER_MISSING

          public static final LiveViewExceptionType REQUIRED_PARAMETER_MISSING

    - #### SENDTUPLE_RESPONSE_REQUIRES_KEY_FIELD

          public static final LiveViewExceptionType SENDTUPLE_RESPONSE_REQUIRES_KEY_FIELD

    - #### SENDTUPLE_NO_RESPONSE

          public static final LiveViewExceptionType SENDTUPLE_NO_RESPONSE

      Send Tuple did not receive a response from the server.

    - #### SENDTUPLE_STREAMNAME_OR_CONTAINER_NOT_FOUND

          public static final LiveViewExceptionType SENDTUPLE_STREAMNAME_OR_CONTAINER_NOT_FOUND

    - #### AGGREGATE_ALERT_REQUIRES_ALERT_TEST_EXPRESSION

          public static final LiveViewExceptionType AGGREGATE_ALERT_REQUIRES_ALERT_TEST_EXPRESSION

    - #### ALERT_TEST_EXPRESSION_WAS_NULL

          public static final LiveViewExceptionType ALERT_TEST_EXPRESSION_WAS_NULL

    - #### ALERT_TEST_EXPRESSION_ERROR

          public static final LiveViewExceptionType ALERT_TEST_EXPRESSION_ERROR

    - #### ALIAS_ALLOWED_IN_AGG_ONLY

          public static final LiveViewExceptionType ALIAS_ALLOWED_IN_AGG_ONLY

    - #### REDIRECT_TOO_DEEP

          public static final LiveViewExceptionType REDIRECT_TOO_DEEP

      URL Redirection loop detected. Check your Server Proxy settings.

    - #### SESSIONCHANNEL_DOES_NOT_EXIST

          public static final LiveViewExceptionType SESSIONCHANNEL_DOES_NOT_EXIST

    - #### CHANNEL_ALREADY_EXISTS

          public static final LiveViewExceptionType CHANNEL_ALREADY_EXISTS

    - #### EXPRESSIONS_ALLOWED_IN_AGG_ONLY

          public static final LiveViewExceptionType EXPRESSIONS_ALLOWED_IN_AGG_ONLY

      Use of expressions is only allowed in aggregate queries. Simple queries can have field references only.

    - #### REQUIRED_FILE_NOT_FOUND

          public static final LiveViewExceptionType REQUIRED_FILE_NOT_FOUND

    - #### PUBLISHING_NOT_SUPPORTED

          public static final LiveViewExceptionType PUBLISHING_NOT_SUPPORTED

    - #### CRON_ALERT_INVALID_SCHEDULE

          public static final LiveViewExceptionType CRON_ALERT_INVALID_SCHEDULE

    - #### CRON_ALERT_ADD

          public static final LiveViewExceptionType CRON_ALERT_ADD

    - #### ADMINISTRATIVE_ACTION_NEW_SESSIONS_STOPPED

          public static final LiveViewExceptionType ADMINISTRATIVE_ACTION_NEW_SESSIONS_STOPPED

    - #### QF_AGGREGATE_FUNCTIONS_CANNOT_BE_COMBINED_WITH_CALCULATED_COLUMN

          public static final LiveViewExceptionType QF_AGGREGATE_FUNCTIONS_CANNOT_BE_COMBINED_WITH_CALCULATED_COLUMN

    - #### QF_GROUP_BY_NOT_ALLOWED_WITH_CALCULATED_COLUMNS

          public static final LiveViewExceptionType QF_GROUP_BY_NOT_ALLOWED_WITH_CALCULATED_COLUMNS

    - #### DELTA_SHOULD_BE_DISABLED_TO_GET_BIT_MASK_OF_CHANGED_FIELDS

          public static final LiveViewExceptionType DELTA_SHOULD_BE_DISABLED_TO_GET_BIT_MASK_OF_CHANGED_FIELDS

    - #### ENGINE_NOT_AVAILABLE_FOR_CALCULATION

          public static final LiveViewExceptionType ENGINE_NOT_AVAILABLE_FOR_CALCULATION

    - #### DYNAMIC_TABLES_NOT_ALLOWED

          public static final LiveViewExceptionType DYNAMIC_TABLES_NOT_ALLOWED

    - #### ILLEGAL_QUERYTYPE__QUERYLISTENER_COMBINATION

          public static final LiveViewExceptionType ILLEGAL_QUERYTYPE__QUERYLISTENER_COMBINATION

    - #### TUPLE_UPDATE_FOR_A_MISSING_RESULT

          public static final LiveViewExceptionType TUPLE_UPDATE_FOR_A_MISSING_RESULT

    - #### SESSION_TRYING_TO_KILL_SELF

          public static final LiveViewExceptionType SESSION_TRYING_TO_KILL_SELF

    - #### INVALID_PUBLISHER

          public static final LiveViewExceptionType INVALID_PUBLISHER

    - #### KILL_PUBLISHER_ADMINISTRATIVE_KILL_

          public static final LiveViewExceptionType KILL_PUBLISHER_ADMINISTRATIVE_KILL_

    - #### KILL_QUERY_ADMINISTRATIVE_KILL

          public static final LiveViewExceptionType KILL_QUERY_ADMINISTRATIVE_KILL

    - #### TABLE_IS_ALREADY_LOADING

          public static final LiveViewExceptionType TABLE_IS_ALREADY_LOADING

    - #### TABLE_IS_ALREADY_RUNNING

          public static final LiveViewExceptionType TABLE_IS_ALREADY_RUNNING

    - #### TABLE_MUST_BE_DROPPED

          public static final LiveViewExceptionType TABLE_MUST_BE_DROPPED

    - #### LIVEVIEW_TABLE_CONFIGURATIONS_NOT_FOUND

          public static final LiveViewExceptionType LIVEVIEW_TABLE_CONFIGURATIONS_NOT_FOUND

    - #### SCHEMA_PARSE_ERROR

          public static final LiveViewExceptionType SCHEMA_PARSE_ERROR

    - #### TABLE_REMOVE_BLOCKED

          public static final LiveViewExceptionType TABLE_REMOVE_BLOCKED

    - #### DYNAMIC_TABLES_NOT_ALLOWED_2

          public static final LiveViewExceptionType DYNAMIC_TABLES_NOT_ALLOWED_2

    - #### TABLE_START_BLOCKED

          public static final LiveViewExceptionType TABLE_START_BLOCKED

    - #### KILL_QUERY_SESSION_CLOSED_KILL

          public static final LiveViewExceptionType KILL_QUERY_SESSION_CLOSED_KILL

    - #### KILL_QUERY_TABLE_DROPPED_KILL

          public static final LiveViewExceptionType KILL_QUERY_TABLE_DROPPED_KILL

    - #### TABLE_DROPPING_NOT_ALLOWED_WHILE_LOADING

          public static final LiveViewExceptionType TABLE_DROPPING_NOT_ALLOWED_WHILE_LOADING

    - #### QUERY_OR_SCHEMA_REQUIRED

          public static final LiveViewExceptionType QUERY_OR_SCHEMA_REQUIRED

    - #### INCOMPLETE_ELEMENT

          public static final LiveViewExceptionType INCOMPLETE_ELEMENT

    - #### PARSE_WITH_PIVOT_REQUIRES_TABLE_SCHEMA

          public static final LiveViewExceptionType PARSE_WITH_PIVOT_REQUIRES_TABLE_SCHEMA

    - #### PIVOT_ALLOWED_ONLY_WITH_SELECT_STAR

          public static final LiveViewExceptionType PIVOT_ALLOWED_ONLY_WITH_SELECT_STAR

    - #### PIVOT_CLAUSE_SHOULD_ONLY_HAVE_AGGREGATE_EXPRESSIONS

          public static final LiveViewExceptionType PIVOT_CLAUSE_SHOULD_ONLY_HAVE_AGGREGATE_EXPRESSIONS

    - #### PIVOT_VALUES_VALIDATION

          public static final LiveViewExceptionType PIVOT_VALUES_VALIDATION

    - #### PIVOT_COLUMN_NAME_VALIDATION

          public static final LiveViewExceptionType PIVOT_COLUMN_NAME_VALIDATION

    - #### PIVOT_VALUES_VALIDATION_INCOMPATIBLE_LITERAL_DATA_TYPE

          public static final LiveViewExceptionType PIVOT_VALUES_VALIDATION_INCOMPATIBLE_LITERAL_DATA_TYPE

    - #### PIVOT_ALIAS_CONFLICT

          public static final LiveViewExceptionType PIVOT_ALIAS_CONFLICT

    - #### PIVOT_VALUES_INVALID_TEST_EXPRESSION

          public static final LiveViewExceptionType PIVOT_VALUES_INVALID_TEST_EXPRESSION

    - #### INVALID_STREAMBASE_IDENTIFIER

          public static final LiveViewExceptionType INVALID_STREAMBASE_IDENTIFIER

    - #### PIVOT_COLUMN_MISSING

          public static final LiveViewExceptionType PIVOT_COLUMN_MISSING

    - #### PIVOT_AGG_EXPRESSION_VALIDATION

          public static final LiveViewExceptionType PIVOT_AGG_EXPRESSION_VALIDATION

    - #### PIVOT_VALUES_EXPRESSION_VALIDATION

          public static final LiveViewExceptionType PIVOT_VALUES_EXPRESSION_VALIDATION

    - #### DYNAMIC_TABLE_CREATE_DATA_VALIDATION

          public static final LiveViewExceptionType DYNAMIC_TABLE_CREATE_DATA_VALIDATION

    - #### PREDICATE_CAN_ONLY_BE_OF_TYPE_BOOLEAN

          public static final LiveViewExceptionType PREDICATE_CAN_ONLY_BE_OF_TYPE_BOOLEAN

    - #### TABLE_IN_PURGATORY

          public static final LiveViewExceptionType TABLE_IN_PURGATORY

    - #### RESERVED_WORDS_NOT_ALLOWED_FOR_TABLE_NAMES

          public static final LiveViewExceptionType RESERVED_WORDS_NOT_ALLOWED_FOR_TABLE_NAMES

    - #### ALERT_QUERY_CONFIG_WITH_QUERY_STRING_NOT_ALLOWED

          public static final LiveViewExceptionType ALERT_QUERY_CONFIG_WITH_QUERY_STRING_NOT_ALLOWED

    - #### NO_CONNECTION

          public static final LiveViewExceptionType NO_CONNECTION

      No connection to server

    - #### ALERTS_NOT_SUPPORTED_FOR_TABLE

          public static final LiveViewExceptionType ALERTS_NOT_SUPPORTED_FOR_TABLE

    - #### PIVOT_QUERY_NOT_SUPPORTED_WITH_ALERTS

          public static final LiveViewExceptionType PIVOT_QUERY_NOT_SUPPORTED_WITH_ALERTS

    - #### ERROR_GETTING_SCHEMA_INTERFACE_FILE_CONTENTS

          public static final LiveViewExceptionType ERROR_GETTING_SCHEMA_INTERFACE_FILE_CONTENTS

    - #### NOT_A_VALID_CONFIGURATION_FILE

          public static final LiveViewExceptionType NOT_A_VALID_CONFIGURATION_FILE

    - #### ERROR_ENCOUNTERED_WHILE_STARTING_TABLES

          public static final LiveViewExceptionType ERROR_ENCOUNTERED_WHILE_STARTING_TABLES

    - #### ERROR_ENCOUNTERED_WHILE_CREATING_TABLE

          public static final LiveViewExceptionType ERROR_ENCOUNTERED_WHILE_CREATING_TABLE

    - #### INVALID_TABLE_NAME

          public static final LiveViewExceptionType INVALID_TABLE_NAME

    - #### PREDICATE_CANNOT_HAVE_IMPURE_FUNCTIONS

          public static final LiveViewExceptionType PREDICATE_CANNOT_HAVE_IMPURE_FUNCTIONS

    - #### UNSUPPORTED_DATATYPE

          public static final LiveViewExceptionType UNSUPPORTED_DATATYPE

    - #### FILTERED_TABLE_START_DROP_NOT_ALLOWED

          public static final LiveViewExceptionType FILTERED_TABLE_START_DROP_NOT_ALLOWED

    - #### FILTERED_TABLE_PREDICATE_MISSING

          public static final LiveViewExceptionType FILTERED_TABLE_PREDICATE_MISSING

    - #### PROJECTION_UNRESOLVABLE

          public static final LiveViewExceptionType PROJECTION_UNRESOLVABLE

    - #### ALERT_SERVICE_DISABLED

          public static final LiveViewExceptionType ALERT_SERVICE_DISABLED

    - #### WORKSPACE_UPLOADING

          public static final LiveViewExceptionType WORKSPACE_UPLOADING

    - #### ALERT_SERVICE_ACTION_SUBMISSION_FAILURE

          public static final LiveViewExceptionType ALERT_SERVICE_ACTION_SUBMISSION_FAILURE

    - #### BUFFERED_TABLE_PUBLISHER_FLUSH_ERROR

          public static final LiveViewExceptionType BUFFERED_TABLE_PUBLISHER_FLUSH_ERROR

    - #### WORKSPACE_GET_DATA_MISSING

          public static final LiveViewExceptionType WORKSPACE_GET_DATA_MISSING

    - #### ALERTS_GET_DATA_MISSING

          public static final LiveViewExceptionType ALERTS_GET_DATA_MISSING

    - #### SNAPSHOT_END_NOT_SEEN

          public static final LiveViewExceptionType SNAPSHOT_END_NOT_SEEN

    - #### DYNAMIC_TABLE_NOT_SUPPORTED_WITH_MEMORY_CATALOG

          public static final LiveViewExceptionType DYNAMIC_TABLE_NOT_SUPPORTED_WITH_MEMORY_CATALOG

    - #### SERVER_STATE_SETTING_ERROR

          public static final LiveViewExceptionType SERVER_STATE_SETTING_ERROR

    - #### BAD_SCHEMA_DESCRIBING_TABLE

          public static final LiveViewExceptionType BAD_SCHEMA_DESCRIBING_TABLE

    - #### ERROR_ENCOUNTERED_WHILE_FETCHING_SCHEMA_FROM_JAXB_INFO

          public static final LiveViewExceptionType ERROR_ENCOUNTERED_WHILE_FETCHING_SCHEMA_FROM_JAXB_INFO

    - #### INVALID_USERNAME_IN_URI

          public static final LiveViewExceptionType INVALID_USERNAME_IN_URI

    - #### UNKNOWN_CQS_SCOPE_TRANSITION

          public static final LiveViewExceptionType UNKNOWN_CQS_SCOPE_TRANSITION

    - #### BAD_DATA_FILE

          public static final LiveViewExceptionType BAD_DATA_FILE

    - #### TABLE_ACTIVE_SPACES_ERROR_WHILE_DELETE

          public static final LiveViewExceptionType TABLE_ACTIVE_SPACES_ERROR_WHILE_DELETE

    - #### TABLE_ACTIVE_SPACES_ERROR_WHILE_SNAPSHOT

          public static final LiveViewExceptionType TABLE_ACTIVE_SPACES_ERROR_WHILE_SNAPSHOT

    - #### TABLE_ACTIVE_SPACES_ERROR_WHILE_ADDING_LISTENER

          public static final LiveViewExceptionType TABLE_ACTIVE_SPACES_ERROR_WHILE_ADDING_LISTENER

    - #### UNKNOWN_FIELD_TYPE

          public static final LiveViewExceptionType UNKNOWN_FIELD_TYPE

    - #### UNKNOWN_STREAMBASE_TABLE_MESSAGE_TYPE

          public static final LiveViewExceptionType UNKNOWN_STREAMBASE_TABLE_MESSAGE_TYPE

    - #### ACTIVE_SPACES_SPACE_LISTENER_NOT_READY

          public static final LiveViewExceptionType ACTIVE_SPACES_SPACE_LISTENER_NOT_READY

    - #### ELEMENT_NOT_FOUND_EXCEPTION

          public static final LiveViewExceptionType ELEMENT_NOT_FOUND_EXCEPTION

    - #### STORAGE_EXCEPTION

          public static final LiveViewExceptionType STORAGE_EXCEPTION

    - #### SEARCH_NOT_SUPPORTED

          public static final LiveViewExceptionType SEARCH_NOT_SUPPORTED

    - #### ERROR_STOPPING_DATA_STORE

          public static final LiveViewExceptionType ERROR_STOPPING_DATA_STORE

    - #### ALERT_NOT_FOUND

          public static final LiveViewExceptionType ALERT_NOT_FOUND

    - #### ERROR_STARTING_DATA_STORE

          public static final LiveViewExceptionType ERROR_STARTING_DATA_STORE

    - #### ERROR_CREATING_PERSISTENT_STORE_TABLE

          public static final LiveViewExceptionType ERROR_CREATING_PERSISTENT_STORE_TABLE

    - #### JDBC_STATEMENT_CLOSE

          public static final LiveViewExceptionType JDBC_STATEMENT_CLOSE

    - #### JDBC_CONNECTION_CLOSE

          public static final LiveViewExceptionType JDBC_CONNECTION_CLOSE

    - #### MODEL_CLONING_EXCEPTION

          public static final LiveViewExceptionType MODEL_CLONING_EXCEPTION

    - #### JDBC_SERIALIZATION_ERROR

          public static final LiveViewExceptionType JDBC_SERIALIZATION_ERROR

    - #### JDBC_CONTENT_FIELD_READING_ERROR

          public static final LiveViewExceptionType JDBC_CONTENT_FIELD_READING_ERROR

    - #### JDBC_CONTENT_FIELD_SETTING_ERROR

          public static final LiveViewExceptionType JDBC_CONTENT_FIELD_SETTING_ERROR

    - #### JDBC_SYSTEM_FIELDS_READING_ERROR

          public static final LiveViewExceptionType JDBC_SYSTEM_FIELDS_READING_ERROR

    - #### JDBC_SYSTEM_FIELDS_SETTING_ERROR

          public static final LiveViewExceptionType JDBC_SYSTEM_FIELDS_SETTING_ERROR

    - #### JDBC_RESULT_SET_READING_ERROR

          public static final LiveViewExceptionType JDBC_RESULT_SET_READING_ERROR

    - #### JDBC_LIVEVIEW_ENTITY_CREATION_ERROR

          public static final LiveViewExceptionType JDBC_LIVEVIEW_ENTITY_CREATION_ERROR

    - #### ERROR_CHECKING_PERSISTENT_STORE_TABLE

          public static final LiveViewExceptionType ERROR_CHECKING_PERSISTENT_STORE_TABLE

    - #### GUID_BASED_ALERTS_ERROR

          public static final LiveViewExceptionType GUID_BASED_ALERTS_ERROR

    - #### TRANSACTIONAL_MEMORY_NOT_AVAILABLE

          public static final LiveViewExceptionType TRANSACTIONAL_MEMORY_NOT_AVAILABLE

    - #### CANNOT_SAVE_DATA_WITH_NULL_ID

          public static final LiveViewExceptionType CANNOT_SAVE_DATA_WITH_NULL_ID

    - #### TRANSACTIONAL_MEMORY_REQUIRED

          public static final LiveViewExceptionType TRANSACTIONAL_MEMORY_REQUIRED

    - #### IMPORT_DATA_FAILURE_ABORT_POLICY

          public static final LiveViewExceptionType IMPORT_DATA_FAILURE_ABORT_POLICY

    - #### IMPORT_DATA_FAILURE

          public static final LiveViewExceptionType IMPORT_DATA_FAILURE

    - #### UNKNOWN_DATA_POLICY

          public static final LiveViewExceptionType UNKNOWN_DATA_POLICY

    - #### INVALID_GUID

          public static final LiveViewExceptionType INVALID_GUID

    - #### UNKNOWN_REQUESTED_RESOURCES

          public static final LiveViewExceptionType UNKNOWN_REQUESTED_RESOURCES

    - #### JSON_DATA_IMPORT_ERROR

          public static final LiveViewExceptionType JSON_DATA_IMPORT_ERROR

    - #### MISSING_JSON_DATA_ERROR

          public static final LiveViewExceptionType MISSING_JSON_DATA_ERROR

    - #### UNABLE_TO_PREPARE_JSON_RESPONSE

          public static final LiveViewExceptionType UNABLE_TO_PREPARE_JSON_RESPONSE

    - #### ERROR_READING_FILE

          public static final LiveViewExceptionType ERROR_READING_FILE

    - #### ERROR_READING_INPUT_STREAM

          public static final LiveViewExceptionType ERROR_READING_INPUT_STREAM

    - #### ERROR_WRITING_FILE

          public static final LiveViewExceptionType ERROR_WRITING_FILE

    - #### INTERNAL_CLIENT_ERROR

          public static final LiveViewExceptionType INTERNAL_CLIENT_ERROR

    - #### ERROR_WRITING_OUTPUT_STREAM

          public static final LiveViewExceptionType ERROR_WRITING_OUTPUT_STREAM

    - #### EXPORT_DATA_FAILURE

          public static final LiveViewExceptionType EXPORT_DATA_FAILURE

    - #### ERROR_PROCESSING_JSON_DATA

          public static final LiveViewExceptionType ERROR_PROCESSING_JSON_DATA

    - #### NEXT_AVAILABLE_ERROR_CODE

          public static final LiveViewExceptionType NEXT_AVAILABLE_ERROR_CODE

    - #### LAST

          public static final LiveViewExceptionType LAST

  - ### Method Detail

    - #### values

          public static LiveViewExceptionType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (LiveViewExceptionType c : LiveViewExceptionType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static LiveViewExceptionType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getCode

          public int getCode()

      Gets the unique identifying code for the exception ENUM
      Returns:
        int identifying the exception

    - #### error

          public static LiveViewException error(Throwable cause)

      Wraps any throwable into a LiveViewException of type LiveViewExceptionType.UNEXPECTED
      Parameters:
        `cause` - the Throwable you wish to wrap
      Returns:
        The exception wrapped in LiveViewException

Copyright © 2015–2018 Cloud Software Group, Inc.. All rights reserved.